## arbtt 0.10.2

=== doc/Makefile ===
all: html man

XSLTPROC=xsltproc
XSLTPROC_HTML_OUTDIR=users_guide/
XSLTPROC_HTML_CSS=fptools.css
XSLTPROC_HTML_PARAMS=\
	--stringparam use.id.as.filename 1 \
	--stringparam base.dir $(XSLTPROC_HTML_OUTDIR) \
	--stringparam html.stylesheet $(XSLTPROC_HTML_CSS)
XSLTPROC_HTML_STYLESHEET=/usr/share/xml/docbook/stylesheet/nwalsh/xhtml/profile-chunk.xsl
XSLTPROC_MAN_STYLESHEET=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/profile-docbook.xsl
XSLTPROC_MAN_OUTDIR=man/
XSLTPROC_MAN_OPTIONS=--stringparam man.output.in.separate.dir 1 --stringparam man.output.base.dir

# build targets
#
.PHONY: man html pdf
man: 
	$(XSLTPROC) --xinclude --stringparam profile.condition man $(XSLTPROC_MAN_OPTIONS) $(XSLTPROC_MAN_OUTDIR) $(XSLTPROC_MAN_STYLESHEET) arbtt.xml

html:
	$(XSLTPROC) --xinclude --stringparam profile.condition html $(XSLTPROC_HTML_PARAMS) $(XSLTPROC_HTML_STYLESHEET) arbtt.xml
	cp $(XSLTPROC_HTML_CSS) $(XSLTPROC_HTML_OUTDIR)

pdf:
	#dblatex -tpdf arbtt.xml
	fop -xml arbtt.xml -xsl /usr/share/xml/docbook/stylesheet/docbook-xsl/fo/docbook.xsl -pdf arbtt.pdf

# auxiliary targets
#
.PHONY: clean
clean:
	-rm -rf users_guide/ man/ arbtt.pdf

## arbtt 0.4.4

=== debian/changelog ===
arbtt (0.4.4-1) unstable; urgency=low

  * New upstream release
    + Print "ERROR: No _NET_CLIENT_LIST set for the root window" only once
      (Closes: #558031)
  * Switch to 3.0 (quilt) source file format 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Dec 2009 18:38:19 +0100

arbtt (0.4.3-1) unstable; urgency=low

  * New upstream release
    + Corrects copyright statement in src/Graphics/X11/XScreensaver.hsc

 -- Joachim Breitner <nomeata@debian.org>  Wed, 18 Nov 2009 08:59:28 +0100

arbtt (0.4.2-1) unstable; urgency=low

  * Initial release.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 29 Oct 2009 23:11:27 +0100

=== debian/control ===
Source: arbtt
Section: haskell
Priority: optional
Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends: cdbs,
 haskell-devscripts (>= 0.6.16),
 debhelper (>= 7),
 ghc6 (>= 6.10.4),
 libghc6-mtl-dev,
 libghc6-binary-dev,
 libghc6-time-dev,
 libghc6-x11-dev,
 libghc6-pcre-light-dev,
 libghc6-parsec2-dev,
 libxss-dev,
 docbook-xsl,
 fop,
 xsltproc
Standards-Version: 3.8.3
VCS-Darcs: http://darcs.nomeata.de/arbtt.debian
Homepage:  http://hackage.haskell.org/package/arbtt

Package: arbtt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatic Rule-Based Time Tracker
 The program arbtt, the automatic rule-based time tracker, allows you to
 investigate how you spend your time, without having to manually specify what
 you are doing. arbtt records what windows are open and active, and provides
 you with a powerful rule-based language to afterwards categorize your work.

=== debian/rules ===
#!/usr/bin/make -f


# Standard way of building Haskell libraries .
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

clean ::
	make -C doc clean

doc/users_guide:
	make -C doc

build/$(CABAL_PACKAGE) :: build-ghc6-stamp doc/users_guide

install/$(CABAL_PACKAGE) :: build/$(CABAL_PACKAGE)
	mv dist-ghc6 dist
	$(DEB_SETUP_BIN_NAME) copy --destdir=debian/$(CABAL_PACKAGE)
	rm -rf debian/$(CABAL_PACKAGE)/usr/share/doc
	mv dist dist-ghc6

## arbtt 0.6

=== debian/changelog ===
arbtt (0.6-1) unstable; urgency=low

  * New upstream release (Closes: 580893)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 03 Jun 2010 13:03:47 +0200

arbtt (0.5-1) unstable; urgency=low

  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Mar 2010 21:35:22 +0100

arbtt (0.4.5.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 28 Feb 2010 22:49:00 +0100

arbtt (0.4.4-2) unstable; urgency=low

  * No need to shuffle dist/ghc6-dist with current haskell-devscripts
    (Closes: #571174)
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Wed, 24 Feb 2010 12:20:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Joachim Breitner <nomeata@debian.org>
 Build-Depends: cdbs,
- haskell-devscripts (>= 0.6.16),
+ haskell-devscripts (>= 0.7),
  debhelper (>= 7),
- ghc6 (>= 6.10.4),
+ ghc6,
  libghc6-mtl-dev,
  libghc6-binary-dev,
  libghc6-time-dev,
@@ -16,7 +16,7 @@
  docbook-xsl,
  fop,
  xsltproc
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 VCS-Darcs: http://darcs.nomeata.de/arbtt.debian
 Homepage:  http://hackage.haskell.org/package/arbtt

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,6 @@
 build/$(CABAL_PACKAGE) :: build-ghc6-stamp doc/users_guide
 
 install/$(CABAL_PACKAGE) :: build/$(CABAL_PACKAGE)
-	mv dist-ghc6 dist
-	$(DEB_SETUP_BIN_NAME) copy --destdir=debian/$(CABAL_PACKAGE)
+	$(DEB_SETUP_BIN_NAME) copy --builddir=dist-ghc6 --destdir=debian/$(CABAL_PACKAGE)
 	rm -rf debian/$(CABAL_PACKAGE)/usr/share/doc
-	mv dist dist-ghc6

## arbtt 0.6.1

=== debian/changelog ===
arbtt (0.6.1-2) unstable; urgency=low

  * Build-Depend on libghc-deepseq-dev

 -- Joachim Breitner <nomeata@debian.org>  Wed, 15 Jun 2011 14:11:30 +0200

arbtt (0.6.1-1) unstable; urgency=low

  * New upstream release: Build against parsec-3

 -- Joachim Breitner <nomeata@debian.org>  Wed, 15 Jun 2011 12:21:17 +0200

arbtt (0.6-3) unstable; urgency=low

  * Build-Depend on utf8-string 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 26 May 2011 21:22:39 +0200

arbtt (0.6-2) unstable; urgency=low

  * ghc6 → ghc transition 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 26 May 2011 12:22:08 +0200

## arbtt 0.6.2

=== debian/changelog ===
arbtt (0.6.2-1) unstable; urgency=low

  * New upstream release, GHC-7.4.1 compatibility. (Closes: 665240)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 07 Apr 2012 16:30:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,21 @@
 Build-Depends: cdbs,
  haskell-devscripts (>= 0.7),
  debhelper (>= 7),
- ghc6,
- libghc6-mtl-dev,
- libghc6-binary-dev,
- libghc6-time-dev,
- libghc6-x11-dev,
- libghc6-pcre-light-dev,
- libghc6-parsec2-dev,
+ ghc,
+ libghc-mtl-dev,
+ libghc-binary-dev,
+ libghc-time-dev,
+ libghc-x11-dev,
+ libghc-pcre-light-dev,
+ libghc-parsec3-dev,
+ libghc-utf8-string-dev,
+ libghc-deepseq-dev,
  libxss-dev,
  docbook-xsl,
  fop,
  xsltproc
+Build-Conflicts:
+ libghc-parsec2-dev
 Standards-Version: 3.8.4
 VCS-Darcs: http://darcs.nomeata.de/arbtt.debian
 Homepage:  http://hackage.haskell.org/package/arbtt

## arbtt 0.7

=== debian/changelog ===
arbtt (0.7-2) unstable; urgency=low

  * Upload to unstable (Closes: #712337)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 15 Jun 2013 14:38:19 +0200

arbtt (0.7-1) experimental; urgency=low

  * New upstream release, GHC 7.6 compatibility
    + Log file is never world-readable (Closes: 689099)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 Jan 2013 20:33:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joachim Breitner <nomeata@debian.org>
 Build-Depends: cdbs,
- haskell-devscripts (>= 0.7),
+ haskell-devscripts (>= 0.8.13),
  debhelper (>= 7),
  ghc,
  libghc-mtl-dev,
@@ -14,6 +14,9 @@
  libghc-parsec3-dev,
  libghc-utf8-string-dev,
  libghc-deepseq-dev,
+ libghc-strict-dev,
+ libghc-terminal-progress-bar-dev,
+ libghc-bytestring-progress-dev,
  libxss-dev,
  docbook-xsl,
  fop,

=== debian/watch ===
version=3
http://hackage.haskell.org/packages/archive/arbtt/([\d\.]+)/arbtt-([\d\.]+)\.tar\.gz

## arbtt 0.8.1

=== debian/changelog ===
arbtt (0.8.1-1) unstable; urgency=medium

  * New upstream release
    + (Closes: #751280) (at least somewhat)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 25 Jun 2014 10:28:07 -0700

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,12 @@
  libghc-mtl-dev,
  libghc-binary-dev,
  libghc-time-dev,
+ libghc-aeson-dev (>= 0.6),
+ libghc-aeson-dev (<< 0.8),
  libghc-x11-dev,
  libghc-pcre-light-dev,
  libghc-parsec3-dev,
+ libghc-pcre-light-dev,
  libghc-utf8-string-dev,
  libghc-deepseq-dev,
  libghc-strict-dev,

## arbtt 0.9.0.4

=== debian/changelog ===
arbtt (0.9.0.4-1) unstable; urgency=medium

  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 31 May 2015 13:56:01 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libghc-binary-dev,
  libghc-time-dev,
  libghc-aeson-dev (>= 0.6),
- libghc-aeson-dev (<< 0.8),
+ libghc-aeson-dev (<< 0.10),
  libghc-x11-dev,
  libghc-pcre-light-dev,
  libghc-parsec3-dev,

## arbtt 0.9.0.7

=== debian/changelog ===
arbtt (0.9.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 Dec 2015 18:52:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libghc-binary-dev,
  libghc-time-dev,
  libghc-aeson-dev (>= 0.6),
- libghc-aeson-dev (<< 0.10),
+ libghc-aeson-dev (<< 0.11),
  libghc-x11-dev,
  libghc-pcre-light-dev,
  libghc-parsec3-dev,

## arbtt 0.9.0.9

=== debian/changelog ===
arbtt (0.9.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 12 Jun 2016 13:45:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libghc-binary-dev,
  libghc-time-dev,
  libghc-aeson-dev (>= 0.6),
- libghc-aeson-dev (<< 0.11),
+ libghc-aeson-dev (<< 0.12),
  libghc-x11-dev,
  libghc-pcre-light-dev,
  libghc-parsec3-dev,

## arbtt 0.9.0.13

=== debian/changelog ===
arbtt (0.9.0.13-1) unstable; urgency=medium

  * New upstream release (Fixes: #868627) 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 17 Jul 2017 08:20:24 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libghc-binary-dev,
  libghc-time-dev,
  libghc-aeson-dev (>= 0.6),
- libghc-aeson-dev (<< 0.12),
+ libghc-aeson-dev (<< 1.3),
  libghc-x11-dev,
  libghc-pcre-light-dev,
  libghc-parsec3-dev,

## arbtt 0.10.0.2

=== debian/changelog ===
arbtt (0.10.0.2-1) unstable; urgency=medium

  * New upstream release (closes: #897505)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 03 Jun 2018 22:59:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,24 +9,29 @@
  libghc-mtl-dev,
  libghc-binary-dev,
  libghc-time-dev,
- libghc-aeson-dev (>= 0.6),
+ libghc-aeson-dev (>= 0.10),
  libghc-aeson-dev (<< 1.3),
- libghc-x11-dev,
+ libghc-x11-dev (>= 1.9),
  libghc-pcre-light-dev,
  libghc-parsec3-dev,
  libghc-pcre-light-dev,
  libghc-utf8-string-dev,
  libghc-deepseq-dev,
  libghc-strict-dev,
- libghc-terminal-progress-bar-dev,
+ libghc-terminal-progress-bar-dev (>= 0.2),
+ libghc-terminal-progress-bar-dev (<< 0.3),
  libghc-bytestring-progress-dev,
+ libghc-conduit-dev (>= 1.2),
+ libghc-conduit-dev (<< 1.4),
+ libghc-exceptions-dev (>= 0.8),
+ libghc-exceptions-dev (<< 0.9),
+ libghc-resourcet-dev (>= 1.2),
+ libghc-unliftio-core-dev,
  libxss-dev,
  docbook-xsl,
  fop,
  xsltproc
-Build-Conflicts:
- libghc-parsec2-dev
-Standards-Version: 3.8.4
+Standards-Version: 4.1.4
 VCS-Darcs: http://darcs.nomeata.de/arbtt.debian
 Homepage:  http://hackage.haskell.org/package/arbtt

## arbtt 0.10.1

=== debian/changelog ===
arbtt (0.10.1-1) unstable; urgency=medium

  * New upstream release (closes: #915989)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 25 Dec 2018 12:20:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libghc-binary-dev,
  libghc-time-dev,
  libghc-aeson-dev (>= 0.10),
- libghc-aeson-dev (<< 1.3),
+ libghc-aeson-dev (<< 1.5),
  libghc-x11-dev (>= 1.9),
  libghc-pcre-light-dev,
  libghc-parsec3-dev,
@@ -24,7 +24,6 @@
  libghc-conduit-dev (>= 1.2),
  libghc-conduit-dev (<< 1.4),
  libghc-exceptions-dev (>= 0.8),
- libghc-exceptions-dev (<< 0.9),
  libghc-resourcet-dev (>= 1.2),
  libghc-unliftio-core-dev,
  libxss-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,9 @@
 doc/users_guide:
 	make -C doc
 
-build/$(CABAL_PACKAGE) :: build-ghc6-stamp doc/users_guide
+build/$(CABAL_PACKAGE) :: build-ghc-stamp doc/users_guide
 
 install/$(CABAL_PACKAGE) :: build/$(CABAL_PACKAGE)
-	$(DEB_SETUP_BIN_NAME) copy --builddir=dist-ghc6 --destdir=debian/$(CABAL_PACKAGE)
+	$(DEB_SETUP_BIN_NAME) copy --builddir=dist-ghc --destdir=debian/$(CABAL_PACKAGE)
 	rm -rf debian/$(CABAL_PACKAGE)/usr/share/doc

## arbtt 0.10.2

=== debian/changelog ===
arbtt (0.10.2-1) unstable; urgency=medium

  * Orphaning this package

 -- Joachim Breitner <nomeata@debian.org>  Sun, 03 Apr 2022 12:23:56 +0200

arbtt (0.10.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import upstream patch to fix FTBFS (Closes: #963116) :
    - https://github.com/nomeata/arbtt/commit/8270c3

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 19 Jun 2020 11:19:32 +0200

arbtt (0.10.2-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
    - fix build failure with new ghc
  * Update dependency bounds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Sep 2019 10:39:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: arbtt
 Section: haskell
 Priority: optional
-Maintainer: Joachim Breitner <nomeata@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: cdbs,
  haskell-devscripts (>= 0.8.13),
  debhelper (>= 7),
@@ -19,7 +19,7 @@
  libghc-deepseq-dev,
  libghc-strict-dev,
  libghc-terminal-progress-bar-dev (>= 0.2),
- libghc-terminal-progress-bar-dev (<< 0.3),
+ libghc-terminal-progress-bar-dev (<< 0.5),
  libghc-bytestring-progress-dev,
  libghc-conduit-dev (>= 1.2),
  libghc-conduit-dev (<< 1.4),

=== debian/watch ===
version=3
http://hackage.haskell.org/package/arbtt/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## arbtt 0.11.1

=== debian/changelog ===
arbtt (0.11.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1008876)

 -- Robert Greener <rob@robgreener.com>  Thu, 05 May 2022 17:27:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: arbtt
 Section: haskell
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Robert Greener <rob@robgreener.com>
 Build-Depends: cdbs,
- haskell-devscripts (>= 0.8.13),
- debhelper (>= 7),
+ haskell-devscripts (>= 0.16.14),
+ debhelper (>= 10),
  ghc,
  libghc-mtl-dev,
  libghc-binary-dev,
@@ -12,7 +13,6 @@
  libghc-aeson-dev (>= 0.10),
  libghc-aeson-dev (<< 1.5),
  libghc-x11-dev (>= 1.9),
- libghc-pcre-light-dev,
  libghc-parsec3-dev,
  libghc-pcre-light-dev,
  libghc-utf8-string-dev,
@@ -30,9 +30,11 @@
  docbook-xsl,
  fop,
  xsltproc
-Standards-Version: 4.1.4
-VCS-Darcs: http://darcs.nomeata.de/arbtt.debian
-Homepage:  http://hackage.haskell.org/package/arbtt
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages
+Homepage: http://hackage.haskell.org/package/arbtt
+Rules-Requires-Root: no
 
 Package: arbtt
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Standard way of building Haskell libraries .
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -16,4 +19,3 @@
 install/$(CABAL_PACKAGE) :: build/$(CABAL_PACKAGE)
 	$(DEB_SETUP_BIN_NAME) copy --builddir=dist-ghc --destdir=debian/$(CABAL_PACKAGE)
 	rm -rf debian/$(CABAL_PACKAGE)/usr/share/doc
-

=== debian/watch ===
version=4
https://hackage.haskell.org/package/arbtt/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
